#
# spec file for package lsvpd (Version 0.14.1)
#
# Copyright (c) 2006 SUSE LINUX Products GmbH, Nuernberg, Germany.
# This file and all modifications and additions to the pristine
# package are under the same license as the package itself.
#
# Please submit bugfixes or comments via http://bugs.opensuse.org/
#

# norootforbuild
# usedforbuild    aaa_base acl attr audit-libs autoconf automake bash bind-libs bind-utils binutils bison bzip2 coreutils cpio cpp cracklib cvs cyrus-sasl db diffutils e2fsprogs file filesystem fillup findutils flex gawk gcc gdbm gdbm-devel gettext gettext-devel glib2 glib2-devel glibc glibc-devel glibc-locale gnome-filesystem gpm grep groff gzip info insserv klogd less libacl libattr libcom_err libgcc libnscd libstdc++ libtool libxcrypt libzio m4 make man mktemp module-init-tools ncurses ncurses-devel net-tools netcfg openldap2-client openssl pam pam-modules patch perl permissions pkgconfig popt procinfo procps psmisc pwdutils rcs readline rpm scsi sed strace sysfsutils sysvinit tar tcpd texinfo timezone unzip util-linux vim zlib zlib-devel

Name:           lsvpd
BuildRequires:  glib2-devel scsi sysfsutils
URL:            http://sourceforge.net/projects/linux-diag/
Summary:        VPD Hardware Inventory Utilities for Linux
Version:        0.14.1
Release:        15.2
License:        GPL
Group:          System/Monitoring
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
PreReq:         %insserv_prereq %fillup_prereq
Requires:       /bin/sed, sg_utils
Source0:        http://cesnet.dl.sourceforge.net/sourceforge/linux-diag/lsvpd-%{version}.tar.bz2
Patch1:         lsvpd.runlevel-exitcodes.patch

%description
The lsvpd package contains both the lsvpd, lscfg and lsmcode commands.
These commands, along with a boot-time scanning script called
update-device-tree, constitute a simple hardware inventory system. The
lsvpd command provides Vital Product Data (VPD) about hardware
components to higher-level serviceability tools. The lscfg command
provides a more human-readable format of the VPD, as well as some
system-specific information.  lsmcode lists microcode and firmware
levels.



Authors:
--------
    Martin Schwenke @ IBM

%debug_package
%prep
%setup -q
%patch1 -p1

%build
make CFLAGS="$RPM_OPT_FLAGS -fno-unit-at-a-time -I../lib"

%clean 
rm -rf $RPM_BUILD_ROOT

%install
rm -rf $RPM_BUILD_ROOT
make DESTDIR=$RPM_BUILD_ROOT install
mkdir -p $RPM_BUILD_ROOT/etc/init.d/
mkdir -p $RPM_BUILD_ROOT/etc/cron.daily/
install -m 755 debian/init.d $RPM_BUILD_ROOT/etc/init.d/lsvpd
install -m 755 scripts/lsvpd.cron.daily $RPM_BUILD_ROOT/etc/cron.daily/lsvpd
# Don't install this right now.  It can crash systems.
rm -f $RPM_BUILD_ROOT/lib/lsvpd/pci_vpd_rom_grab
%ifarch ppc ppc64

%post
# SuSE:
if [ -x sbin/insserv ] ; then
    # OK, this should probably be boot.lsvpd, but we're not going to
    # do that on Red Hat too :-(
    sbin/insserv lsvpd
    exit 0
fi
# Red Hat:
if [ -x /sbin/chkconfig ] ; then
    /sbin/chkconfig --add lsvpd
fi
if [ -x /sbin/busybox ] ; then
    ln -s /sbin/busybox /lib/lsvpd/find
fi
%endif

%postun
%{insserv_cleanup}

%files 
%defattr(-,root,root)
%doc README INSTALL COPYING NEWS docs/*.html
%attr(755,root,root) %config /etc/cron.daily/lsvpd
/sbin/*
%dir /lib/lsvpd
/lib/lsvpd/*
/etc/init.d/lsvpd
%{_mandir}/*/*

%changelog -n lsvpd
* Sun Apr 23 2006 - olh@suse.de
- add /etc/cron.daily/lsvpd to remove old device-tree copies
  they fill up the harddisk if the device-tree content changes,
  compared to the previous boot
* Wed Jan 25 2006 - mls@suse.de
- converted neededforbuild to BuildRequires
* Thu Dec 08 2005 - olh@suse.de
- update to lsvpd-0.14.1
* Mon Nov 07 2005 - olh@suse.de
- use LSB exit codes in runlevel script (112623)
* Wed Oct 26 2005 - olh@suse.de
- update to lsvpd-0.13.2
* Fri Aug 26 2005 - olh@suse.de
- build with -fno-unit-at-a-time to keep linker sections
* Fri Aug 05 2005 - olh@suse.de
- update to lsvpd-0.13.0
* Fri Jul 01 2005 - olh@suse.de
- update to lsvpd-0.12.7
  use RPM_OPT_FLAGS
* Mon Aug 16 2004 - garloff@suse.de
- update to lsvpd-0.12.0
* Sun May 09 2004 - olh@suse.de
- insserv per default only on ppc (#39117)
* Mon Mar 01 2004 - olh@suse.de
- update to lsvpd-0.11.5
* Mon Feb 23 2004 - olh@suse.de
- update to lsvpd-0.11.4
* Sun Aug 10 2003 - olh@suse.de
- update to this weeks gnome includes
* Wed May 21 2003 - olh@suse.de
- update to version lsvpd-0.8.4
  bugfis release, support for ibmsis, sym53c8xx fixes
* Wed Apr 09 2003 - jplack@suse.de
- update to version lsvpd-0.8.1
* Wed Mar 19 2003 - olh@suse.de
- update to version lsvpd-0.6.5
* Wed Mar 19 2003 - olh@suse.de
- add a workaround for missing ibm,read-pci-config nodes
* Thu Mar 13 2003 - olh@suse.de
- update to version lsvpd-0.6.2
* Wed Mar 12 2003 - olh@suse.de
- update to version lsvpd-0.6.1
* Tue Mar 11 2003 - olh@suse.de
- initial version lsvpd-0.5.5, tweak init scripts
